> ## Documentation Index
> Fetch the complete documentation index at: https://docs.develophealth.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Changelog

## December 15th 2025

### Benefit Verification

* Changed quantity example in documentation from 28 to 1 for clarity (quantity is not days supply).

## September 25th 2025

### Benefit Verification + Prior Authorization

* Added support for new "Coded" variants for BV and PA drug models.
  * Coded variants allow for the submission of drug details in a more NCPDP-
    compliant format, which can improve the accuracy of the results.

## February 17th 2025

### Benefit Verification

* Added a new `POST /benefit-verification/{id}/cancel` endpoint to cancel a benefit verification request.
* Added support for per-BV priority levels.
* Added support for linking cancelled BVs to resubmitted BVs.

## November 21st 2024

### Misc

* Added a new `discrete_content` field to insurance objects in `GET /benefit-verification/{id}` and `GET /prior-authorization/{id}`.
* Added validation to the `insurance_content.rx_bin` field in `POST /benefit-verification` and `POST /prior-authorization`.

## October 25th 2024

### Benefit Verification

* Added a new `determination_details` field to the benefit verification response for each drug that contains additional information about the determination.

## October 1st 2024

### Prior Authorization

* Added a new 'validating\_outcome' status to the prior authorization response. See the status descriptions and flow chart [here](/api-reference/prior-authorization/get_item)

## September 27th 2024

### Benefit Verification

* Added a new optional `use_patient_plan_fund_source_check` field to the benefit verification creation endpoint.

  * This field controls whether the patient's plan funding source should be checked during the benefit verification call.
  * If not provided, the default value is `false`.

* Updated the response for retrieving the status of a benefit verification to include a new `patient_plan_fund_source` field.
  * This field indicates the funding source of the patient's plan and can have one of the following values:
    * `commercial`: The patient's plan is commercial insurance.
    * `government`: The patient's plan is government-funded.
    * `question_not_asked`: The patient's plan funding source was not asked. Typically
    * `unable_to_determine`: The patient's plan funding source was asked, but could not be determined.
  * The default value is `question_not_asked`.

## September 8th 2024

### Prior Authorization

* Added a `priority` field to the `CreatePriorAuthRequest` object.

## September 2nd 2024

### Prior Authorization

* Added a new `other` detail code for the `data.outcome.detail_code` field.

## July 25th 2024

### Benefit Verification

* Added diagnoses list to the benefit verification request. We recommend providing this field to improve the accuracy of the benefit verification.
* Added a new coverage\_detail\_code field to the drugs object in a benefit verification response. This field is only for reference purposes and can generally be ignored

### Prior Authorization

* Added an activity log list to the prior authorization response. You can use this to download the faxes we have sent and received into your own system.

## July 15th 2024

### Benefit Verifications

* Added new error codes for Benefit Verifications
  * `Insurance Unable to Provide Information`
  * `Unable to Gather Benefits`
  * `Insurance Card OCR Failure`
    * This error code replaces `Insurance Card Member ID OCR Failure` and
      covers a broader range of OCR failures.

## July 5th 2024

### Prior Authorization

* Added a mock\_result property to allow for the submission of a mock result for testing purposes.
* Added insurance\_content to the request body to allow for the submission of discrete insurance details.

### Benefit Verification

* Added insurance\_content to the request body to allow for the submission of discrete insurance details.

### Misc

* Added a new `not_specified` option to the `Gender` enum.
  * This option should be used when the patient's gender has not been provided.

## July 3rd 2024

### Benefit Verification

* Added a new optional `drug_history` field to the `CreateBenefitVerificationRequest` object to allow for the submission of a patient's drug history.
* Added a new optional `insurance_content` field to the `CreateBenefitVerificationRequest` object to allow for the submission of insurance details.
  * This field should be used if no insurance card image can be provided in `insurance`.

## June 13th 2024

### Prior Authorization

Updates to the "Retrieve Prior Authorization" response

* Only include `data.outcome.authorization_expiration` for "Approval" result
* Add descriptions for `data.outcome.result`

## May 17th 2024

### Prior Authorization

* Added an optional `is_training_data` field to the `CreatePriorAuthRequest` object to indicate whether the request is for training purposes.
  * If `is_training_data` is set to `true`, the request will not be processed.
  * If `is_training_data` is set to `false` or omitted, the request will be processed as normal.

### Misc

* Updated the following fields to enforce non-empty strings:
  * `first_name` in `Patient` and `PatientInfo`
  * `last_name` in `Patient` and `PatientInfo`
  * `internal_id` in `Patient`
  * `first_name` in `Provider` and `ProviderInfo`
  * `last_name` in `Provider` and `ProviderInfo`
  * `npi` in `Provider` and `ProviderInfo`
* Updated the following fields to be nullable:
  * `phone` in `PatientInfo`
  * `phone` in `Provider` and `ProviderInfo`

## May 14th 2024

### Prior Authorization

Updates to the "Retrieve Prior Authorization" response

* Group `data.outcome` responses to show corresponding `result`, `detail`, and `detail_code` values.
* List and describe possible values for `data.outcome.detail_code`.

## May 13th 2024

### Prior Authorization

Updates to the "Retrieve Prior Authorization" response

* Updated possible values for the `data.outcome.result` field.
* Removed the `data.submission` field.
* Standardized naming of the `date_created` field in Evidence, Questionnaire, and Visit Notes.

## May 11th 2024

### Benefit Verification

* Removed the partially\_completed status. We realized this was unnecessary and confusing. Now there is just pending, completed, and failed statuses.

### Prior Authorization

* Updated the top level statuses
* Renamed outcome.status to outcome.result ensure it's not mixed up with the top level status

## Feb 29th 2024

* Updated quickstart page to more accurately reflect current API endpoints.

### Prior Authorization

* Updated prior authorization endpoint title from "Submit" to "Autofill"
* Removed coming soon from prior authorization endpoints
* Removed the option to send diagnosis description in the prior authorization request. For now we'll just accept the diagnosis code.

### Benefit Verification

* Marked gender as required in the benefit verification endpoint documentation to match existing functionality of the API.
* Removed 'coming soon' from the insurance scanned content object. This is now live.

## Feb 25th 2024

### Benefit Verification

The following changes were made in the benefit verification endpoint:

* Added 'call\_fallback' as a possible option for verification\_method type
* Marked transcript and recording\_url as nullable
* Marked street\_line\_2 as nullable in the patient and provider address objects

## Feb 21st 2024

### Benefit Verification

* The "Benefit Verification Updated" webhook payload now includes the full Benefit Verification object.

## Feb 13th 2024

### Benefit Verification Endpoint Updates

* Added structured copay information
* Added details of the upcoming insurance scanned\_result object to the insurance body. This will start being returned soon.

### Prior Authorization Endpoint Updates

We made various updates to the prior authorization endpoint to match the benefit verification endpoint and make it production ready. You'll soon be able to submit requests to it. In the meantime the spec as it now stands in the docs is accurate and will be supported.

* Moved insurance property from nested under patient to the top level to match the benefit verification endpoint. The structure has been updated to match the benefit verification endpoint.
* Added optional pharmacy property
* Updated prescription property
  * added required quantity property
  * made directions property required
  * added required strength property
  * added required dose\_form property
  * added required dispense\_unit property
  * added required route\_of\_administration property
* Added outcome and submission objects into the prior authorization response. These will also be made available via the webhook. These objects include details such as the prior authorization status, and a url to open the prior auth in the submission platform.
* Pushed support for arbitrary evidence files (PDFs, images, etc) to a future update. Currently we will support JSON formatted data, which can be unstructured text.
